Strophe: deprecated.c File Reference

Strophe 0.14 XMPP client library

Functions
deprecated.c File Reference

File with deprecated API functions. More...

## Functions
void * | xmpp_alloc (const xmpp_ctx_t *ctx, size_t size)
| Allocate memory in a Strophe context.
void * | xmpp_realloc (const xmpp_ctx_t *ctx, void *p, size_t size)
| Reallocate memory in a Strophe context.
char * | xmpp_strdup (const xmpp_ctx_t *ctx, const char *s)
| implement our own strdup that uses the ctx allocator
char * | xmpp_strndup (const xmpp_ctx_t *ctx, const char *s, size_t len)
| Duplicate a string with a maximum length.
void | xmpp_log (const xmpp_ctx_t *ctx, xmpp_log_level_t level, const char *area, const char *fmt, va_list ap)
void | xmpp_error (const xmpp_ctx_t *ctx, const char *area, const char *fmt,...)
| Write to the log at the ERROR level.
void | xmpp_warn (const xmpp_ctx_t *ctx, const char *area, const char *fmt,...)
| Write to the log at the WARN level.
void | xmpp_info (const xmpp_ctx_t *ctx, const char *area, const char *fmt,...)
| Write to the log at the INFO level.
void | xmpp_debug (const xmpp_ctx_t *ctx, const char *area, const char *fmt,...)
| Write to the log at the DEBUG level.
void | xmpp_debug_verbose (int level, const xmpp_ctx_t *ctx, const char *area, const char *fmt,...)
| Write to the log at the DEBUG level if verbosity is enabled.
char * | xmpp_strtok_r (char *s, const char *delim, char **saveptr)
| strtok_r(3) implementation.
int | xmpp_snprintf (char *str, size_t count, const char *fmt,...)
int | xmpp_vsnprintf (char *str, size_t count, const char *fmt, va_list arg)
void | xmpp_conn_set_keepalive (xmpp_conn_t *conn, int timeout, int interval)
| Set TCP keepalive parameters Turn on TCP keepalive and set timeout and interval.
void | xmpp_conn_disable_tls (xmpp_conn_t *conn)
| Disable TLS for this connection, called by users of the library.

## Detailed Description

File with deprecated API functions.

## Function Documentation

## ◆ xmpp_log()

void xmpp_log | ( | const xmpp_ctx_t * | ctx,
|  | xmpp_log_level_t | level,
|  | const char * | area,
|  | const char * | fmt,
|  | va_list | ap )

## ◆ xmpp_snprintf()

int xmpp_snprintf | ( | char * | str,
|  | size_t | count,
|  | const char * | fmt,
|  |  | ... )

## ◆ xmpp_vsnprintf()

int xmpp_vsnprintf | ( | char * | str,
|  | size_t | count,
|  | const char * | fmt,
|  | va_list | arg )